<!DOCTYPE html>
<html>
    <head>
        <title>Image Editor</title>
        <script src="image-editor.js"></script>
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
        <link rel="stylesheet" type="text/css" href="image-editor.css">
    </head>
    <body>
        <div>
            <input 
                id="fileBrowser"
                type="file"
                accept="image/*"
                class="btn btn-primary">
                <label id="fileBrowserLabel" for="fileBrowser"><svg xmlns="http://www.w3.org/2000/svg" width="20" height="17" viewBox="0 0 20 17"><path d="M10 0l-5.2 4.9h3.3v5.1h3.8v-5.1h3.3l-5.2-4.9zm9.3 11.5l-3.2-2.1h-2l3.4 2.6h-3.5c-.1 0-.2.1-.2.1l-.8 2.3h-6l-.8-2.2c-.1-.1-.1-.2-.2-.2h-3.6l3.4-2.6h-2l-3.2 2.1c-.4.3-.7 1-.6 1.5l.6 3.1c.1.5.7.9 1.2.9h16.3c.6 0 1.1-.4 1.3-.9l.6-3.1c.1-.5-.2-1.2-.7-1.5z"/></svg> <span>Choose a file&hellip;</span></label>
            </div>
                <div id="toolbar">
                <button id="btnSelect" class="btn btn-primary">Select</button>
                <button id="btnAddText" class="btn btn-primary">Add Text</button>
                <button id="btnDownload" class="btn btn-primary">Download</button>
        </div>
            <div id="selectionActions" class="btn-group" role="group" style="display: none;">
            <button data-selection-action="normal" class="btn btn-primary">Cancel</button>
            <button data-selection-action="invert" class="btn btn-primary">Invert Colors</button>
            <button data-selection-action="red" class="btn btn-primary">Red</button>
            <button data-selection-action="green" class="btn btn-primary">Green</button>
            <button data-selection-action="blue" class="btn btn-primary">Blue</button>
            <button data-selection-action="blur" class="btn btn-primary">Blur</button>
            <button data-selection-action="glitch" class="btn btn-primary">Glitch</button>
            <button data-selection-action="particle" class="btn btn-primary">Particle</button>
            <button data-selection-action="erase" class="btn btn-primary">Erase</button>
            <button data-selection-action="crop" class="btn btn-primary">Crop</button>
>
        </div>

        <div id="customTextForm" style="display: none">
        <label for="customText">Your text:</label>
        <input type="text" id="customText" name="customText"><br><br>
        <label for="textSize">Text size:</label>
        <input type="text" id="textSize" name="textSize"><br><br>
        <label for="textColor">Text color:</label>
        <input type="color" id="textColor" name="textColor"><br><br>
        </div>

        <canvas 
            id="visibleCanvas">
            Your browser...
        </canvas>

        <script>
            "use strict";
            app.load();
        </script>
    </body>
</html>